using System;

namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();
            int n = int.Parse(input[0]);
            int height = int.Parse(input[1]);

            input = Console.ReadLine().Split();

            bool broken = false;
            for(int i=0; i<n; i++)
            {
                int h = int.Parse(input[i]);
                if(h<=height)
                {
                    Console.WriteLine(i+1);
                    broken = true;
                    break;
                }
            }
            if(!broken)
                Console.WriteLine(-1);

        }
    }
}